---
category: [Administration & Integrations, Administration & Integrations/Workday API, Platform and Product Extensions, Platform and Product Extensions/Integration]
nav: wcp_docs
parent_url: /wcp_docs/
title: >- 
  Reference: Supervisory Organizations
layout: subsection
---

## <a id="conref_common_service_urlBasePath"></a>URL Base Path

<b>Workday API Gateway Base Path</b>

For REST API calls in Workday Extend and Orchestrate for Integrations, use the regional API Gateway base URL for your account. See [Reference: Workday Extend API Gateways and Authorization Base URLs](https://developer.workday.com/documentation/dlh1653340161856) on the Developer Site. Note that the API Gateway base URL doesn’t include the tenant name.

<b>Tenant Base Path</b>

For traditional Integrations using tenanted REST APIs calls:

```
https://<hostname>/api/common/<version>/<tenant>
```

Example:

```
https://yourTenantHostName.com/api/common/v1/gms
```

## <a id="refsyn_N10019_N10016_N10001"></a>URI

Collection of Supervisory Organizations:

```
/supervisoryOrganizations
```

<a id="refsyn_N1002F_N10016_N10001"></a>
Individual Supervisory Organization:

```
/supervisoryOrganizations/{id}
```

<b>URI Parameters</b>

<table><thead><tr><th>URI Parameter</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>Reference to a Supervisory Organization. Example: Supervisory Organization WID.</td></tr></tbody></table><br/>

## <a id="section_N10061_N10016_N10001"></a>Description

The Supervisory Organizations resource represents the supervisory organizations in Workday. You can only view the Supervisory Organizations information permitted by the security profile of the current user.

Supervisory Organizations supports this method:

-   [GET Supervisory Organizations](/wcp_docs/dan1370797989680.html#GET)


## <a id="GET"></a>GET Supervisory Organizations

-   <b>Secured by:</b>

    Reports: Organization



No request body required or available for this method. When retrieving a collection, use these optional query parameters to page the results:

<table><thead><tr><th>Query Parameter</th><th>Description</th><th>Default</th><th>Max</th></tr></thead><tbody><tr><td>limit</td><td>Limit of object data entries included in a single response.</td><td>20</td><td>100</td></tr><tr><td>offset</td><td>Offset to the first object in a collection to include in the response.</td><td>0</td><td> </td></tr></tbody></table><br/>

The response body is in JSON format.

## <a id="section_N100FB_N10016_N10001"></a>GET Supervisory Organizations Examples

This GET request retrieves all the Supervisory Organizations available to the current user:

```
GET /supervisoryOrganizations
```

The response is a collection of Supervisory Organizations, in JSON format (only 1 Supervisory Organization in the response is shown):

```
{
   "total": 81,
   "data":    [
            {
         "descriptor": "Accounts Payable Department",
         "id": "97c57c8cc22f43ccbb77bdb5a19ab49d",
         "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/97c57c8cc22f43ccbb77bdb5a19ab49d",
         "name": "Accounts Payable",
         "workers": "https://{Workday REST API Endpoint}/supervisoryOrganizations/97c57c8cc22f43ccbb77bdb5a19ab49d/workers",
         "manager":          {
            "descriptor": "James Walker",
            "id": "bba6d8ec44e9476aab2902478f2d1a66",
            "href": "https://{Workday REST API Endpoint}/workers/bba6d8ec44e9476aab2902478f2d1a66"
         }
      },
    ...
  ]
}
 
```

This request retrieves information about the Supervisory Organization, Benefits Department (id=1223ba8478644aa4bd3df3a749792fcf):

```
GET /supervisoryOrganizations/1223ba8478644aa4bd3df3a749792fcf
```

The response body:

```
{
   "descriptor": "Benefits Department",
   "id": "1223ba8478644aa4bd3df3a749792fcf",
   "href": "https://{Workday REST API Endpoint}/supervisoryOrganizations/1223ba8478644aa4bd3df3a749792fcf",
   "name": "Benefits",
   "workers": "https://{Workday REST API Endpoint}/supervisoryOrganizations/1223ba8478644aa4bd3df3a749792fcf/workers",
   "manager":    {
      "descriptor": "Maria Cardoza",
      "id": "cc7fb31eecd544e9ae8e03653c63bfab",
      "href": "https://{Workday REST API Endpoint}/workers/cc7fb31eecd544e9ae8e03653c63bfab"
   }
}
       
```

